﻿using System;

namespace AcDgLibrary
{
    public class AcDgEnums
    {
        public enum LineTypes
        {
            BORDER,
            BORDER2,
            BORDERX2,
            CENTER,
            CENTER2,
            CENTERX2,
            CONTINUOUS,
            DASHDOT,
            DASHDOT2,
            DASHDOTX2,
            DASHED,
            DASHED2,
            DASHEDX2,
            DIVIDE,
            DIVIDE2,
            DIVIDEX2,
            DOT,
            DOT2,
            DOTX2,
            HIDDEN,
            HIDDEN2,
            HIDDENX2,
            PHANTOM,
            PHANTOM2,
            PHANTOMX2,
            ACAD_ISO02W100,
            ACAD_ISO03W100,
            ACAD_ISO04W100,
            ACAD_ISO05W100,
            ACAD_ISO06W100,
            ACAD_ISO07W100,
            ACAD_ISO08W100,
            ACAD_ISO09W100,
            ACAD_ISO10W100,
            ACAD_ISO11W100,
            ACAD_ISO12W100,
            ACAD_ISO13W100,
            ACAD_ISO14W100,
            ACAD_ISO15W100,
            FENCELINE1,
            FENCELINE2,
            TRACKS,
            BATTING,
            HOT_WATER_SUPPLY,
            GAS_LINE
        }

        public class AcDgEnumTranslation
        {
            public static string LineTypeEnum(LineTypes lineType)
            {
                switch (lineType)
                {
                    case LineTypes.ACAD_ISO02W100: return "ACAD_ISO02W100";
                    case LineTypes.ACAD_ISO03W100: return "ACAD_ISO03W100";
                    case LineTypes.ACAD_ISO04W100: return "ACAD_ISO04W100";
                    case LineTypes.ACAD_ISO05W100: return "ACAD_ISO05W100";
                    case LineTypes.ACAD_ISO06W100: return "ACAD_ISO06W100";
                    case LineTypes.ACAD_ISO07W100: return "ACAD_ISO07W100";
                    case LineTypes.ACAD_ISO08W100: return "ACAD_ISO08W100";
                    case LineTypes.ACAD_ISO09W100: return "ACAD_ISO09W100";
                    case LineTypes.ACAD_ISO10W100: return "ACAD_ISO10W100";
                    case LineTypes.ACAD_ISO11W100: return "ACAD_ISO11W100";
                    case LineTypes.ACAD_ISO12W100: return "ACAD_ISO12W100";
                    case LineTypes.ACAD_ISO13W100: return "ACAD_ISO13W100";
                    case LineTypes.ACAD_ISO14W100: return "ACAD_ISO14W100";
                    case LineTypes.ACAD_ISO15W100: return "ACAD_ISO15W100";
                    case LineTypes.BATTING: return "BATTING";
                    case LineTypes.BORDER: return "BORDER";
                    case LineTypes.BORDER2: return "BORDER2";
                    case LineTypes.BORDERX2: return "BORDERX2";
                    case LineTypes.CENTER: return "CENTER";
                    case LineTypes.CENTER2: return "CENTER2";
                    case LineTypes.CENTERX2: return "CENTERX2";
                    case LineTypes.CONTINUOUS: return "CONTINUOUS";
                    case LineTypes.DASHDOT: return "DASHDOT";
                    case LineTypes.DASHDOT2: return "DASHDOT2";
                    case LineTypes.DASHDOTX2: return "DASHDOTX2";
                    case LineTypes.DASHED: return "DASHED";
                    case LineTypes.DASHED2: return "DASHED2";
                    case LineTypes.DASHEDX2: return "DASHED";
                    case LineTypes.DIVIDE: return "DIVIDE";
                    case LineTypes.DIVIDE2: return "DIVIDE2";
                    case LineTypes.DIVIDEX2: return "DIVIDEX2";
                    case LineTypes.DOT: return "DOT";
                    case LineTypes.DOT2: return "DOT2";
                    case LineTypes.DOTX2: return "DOTX2";
                    case LineTypes.FENCELINE1: return "FENCELINE1";
                    case LineTypes.FENCELINE2: return "FENCELINE2";
                    case LineTypes.GAS_LINE: return "GAS_LINE";
                    case LineTypes.HIDDEN: return "HIDDEN";
                    case LineTypes.HIDDEN2: return "HIDDEN2";
                    case LineTypes.HIDDENX2: return "HIDDENX2";
                    case LineTypes.HOT_WATER_SUPPLY: return "HOT_WATER_SUPPLY";
                    case LineTypes.PHANTOM: return "PHANTOM";
                    case LineTypes.PHANTOM2: return "PHANTOM2";
                    case LineTypes.PHANTOMX2: return "PHANTOMX2";
                    case LineTypes.TRACKS: return "TRACKS";
                    default: throw new InvalidOperationException
                        (String.Format("Ivalid value: {0}", lineType));
                }
            }
        }
    }
}
